package mapped;

import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSWorldMapSprite;

@ObfuscatedName("ju")
public final class WorldMapSprite implements RSWorldMapSprite {
   @ObfuscatedName("ah")
   final int[] tileColors;

   WorldMapSprite() {
      this.tileColors = new int[4096];
   }

   WorldMapSprite(int[] var1) {
      this.tileColors = var1;
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(III)I",
      garbageValue = "-2024920281"
   )
   final int getTileColor_base(int var1, int var2) {
      return this.tileColors[var1 + var2 * 64];
   }
}
